Bug 118230 - automake requires `AM_CONFIG_HEADER', not `AC_CONFIG_HEADER'
automake requires `AM_CONFIG_HEADER', not `AC_CONFIG_HEADER'
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: grub (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-13 19:15 EST by Robert Scheck
Modified: 2007-04-18 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 14:03:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-03-13 19:15:49 EST
Description of problem, how reproducible & Steps to Reproduce:
I still get the error message "automake requires `AM_CONFIG_HEADER',
not `AC_CONFIG_HEADER'" at recompiling grub (more exactly is at
autoconf/automake) at some (older?) systems.

Version-Release number of selected component (if applicable):
grub-0.94-3

Actual results:
Well, there's an easy solution to solve it:

--- grub-0.94/configure.ac              2004-03-14 00:56:36.000000000 +0100
+++ grub-0.94/configure.ac.automake     2004-03-14 00:57:28.000000000 +0100
@@ -15,7 +15,7 @@
 AC_PREREQ(2.57)
 AC_INIT([GRUB], [0.94], [bug-grub@gnu.org])
 AC_CONFIG_SRCDIR([stage2/stage2.c])
-AC_CONFIG_HEADER([config.h])
+AM_CONFIG_HEADER([config.h])
 AM_INIT_AUTOMAKE

 AC_CANONICAL_HOST


Expected results:
Please apply that simple patch, thanks :)
Comment 1 Jeremy Katz 2004-03-15 12:11:17 EST
This works here and changing it is likely to break different version
of auto*.  What versions of autoconf/automake do you have?
Comment 2 Robert Scheck 2004-03-15 12:45:29 EST
Oh sorry, I saw, my version of auto* are not the latest one.

But in "The GNU configure and build system" by Ian Lance Taylor, I 
noticed, that "If you are not using automake, use `AC_CONFIG_HEADER' 
rather than `AM_CONFIG_HEADER'". So we use automake, do we?

I also saw, that the newer versions of autoconf/automake are more 
loyal than the older ones, so AM should (only should) work.

Sorry again for my older auto* - it's your turn, I didn't test that
patch with the latest autoconf/automake, whether it really works.
Comment 3 Jeremy Katz 2004-03-15 14:03:57 EST
Yes, grub uses automake as well

Note You need to log in before you can comment on or make changes to this bug.